package de.ivu.elect.business.system.control;

import javax.enterprise.inject.Specializes;

@Specializes
public class NlHttpHeaderKonfigurationInit extends HttpHeaderKonfigurationInit {

  public static final String NL_POLICY = "default-src 'self'; script-src 'self' 'unsafe-inline'; style-src 'self' 'unsafe-inline'; img-src 'self' data:; base-uri 'self'; frame-ancestors 'self'";

  @Override
  protected String getContentSecurityPolicyDefault() {
    return NL_POLICY;
  }

  @Override
  protected String getHeaderAdditionalDefault() {
    return "Strict-Transport-Security|max-age=31536000"; // ELECTVAPP-368
  }
}
